UNIT UTST_Frame_Beispiel_CTRL;
{$mode ObjFPC}{$H+}
INTERFACE
USES
    Classes
  , Sysutils
  , Dialogs
  , UI_FRAME_Beispiel
  ;

TYPE
  TCL_CTRL_Beispiel = CLASS( TObject )
    PRIVATE { Attribute }
      mo_Frame : TFRAME_Beispiel;
    PRIVATE { Objecte }

    PRIVATE { Event-Handler }

    PRIVATE { SET'ter}

    PRIVATE { GET'ter}

    PROTECTED { Functions }
    PROTECTED { Procedures }
      PROCEDURE   EVTHDL_On_BTN_OK_Click( Sender : TObject );
    PROTECTED { Event-Handler }
    PROTECTED { Property's }

    PUBLIC
      CONSTRUCTOR Create( io_Frame : TFRAME_Beispiel );
      DESTRUCTOR  Destroy;                                                                          OVERRIDE;
    PUBLIC { Functions }
    PUBLIC { Procedures }
    PUBLIC { Event-Handler }
    PUBLIC { Property's }
  END;


VAR
  go_CTRL_FRM_Beispiel : TCL_CTRL_Beispiel;

IMPLEMENTATION


{===================================================================================================
===================================================================================================}
CONSTRUCTOR TCL_CTRL_Beispiel.Create( io_Frame : TFRAME_Beispiel );
BEGIN
  INHERITED Create;
  mo_Frame := io_Frame;
  mo_Frame.BTN_OK.OnClick := @EVTHDL_On_BTN_OK_Click;
END;



{===================================================================================================
===================================================================================================}
DESTRUCTOR TCL_CTRL_Beispiel.Destroy;
BEGIN
  INHERITED Destroy;
END;


{===================================================================================================
####################################################################################################
                                       EVENT - Handler
####################################################################################################
===================================================================================================}

{===================================================================================================
===================================================================================================}
PROCEDURE TCL_CTRL_Beispiel.EVTHDL_On_BTN_OK_Click( Sender : TObject );
BEGIN
  ShowMessage( 'Button OK wurde gedrückt' + sLineBreak +
               'Bandname: ' + mo_Frame.EDT_Name.Text );
END;







END.

